Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 254084 - [81cat] No deploy on save for WildFly
[81cat] No deploy on save for WildFly
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: WildFly
8.1
PC Windows 8
: P3 (vote)
: 8.1
Assigned To: ehsavoie
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-02 20:11 UTC by muellermi
Modified: 2017-05-08 15:56 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
IDE log (132.48 KB, text/plain)
2015-08-02 20:11 UTC, muellermi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description muellermi 2015-08-02 20:11:35 UTC
Product Version = NetBeans IDE 8.1 Beta (Build 201507302201)
Operating System = Windows 8 version 6.2 running on amd64
Java; VM; Vendor = 1.8.0_51
Runtime = Java HotSpot(TM) 64-Bit Server VM 25.51-b03

- create a new web project
- choose WildFly
- verify, within project properties, that "deploy on save" is checked (is checked by default)
- run project
- modify index.html
- press save
- verify output in left bottom corner of NB: "index.html saved"

should be "deployed".

This is a NetBeans / WildFly issue. Deploy on save works fine when using GlassFish.
Comment 1 muellermi 2015-08-02 20:11:42 UTC
Created attachment 155127 [details]
IDE log
Comment 2 ehsavoie 2015-08-07 12:40:16 UTC
Is this a netbeans project or a maven project ?
Which version of WildFly did you use ?
Comment 3 ehsavoie 2015-08-07 16:14:32 UTC
Fixed by commit 290138:3a695ce217f7
Comment 4 Quality Engineering 2015-08-08 02:02:41 UTC
Integrated into 'main-silver', will be available in build *201508080002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/3a695ce217f7
User: Emmanuel Hugonnet <ehsavoie@netbeans.org>
Log: Fixing bug #254084 : No deploy on save for WildFly
The constant for PATH was pointing to a wrong name.
Comment 5 JNetBeansIDE 2017-05-08 15:56:30 UTC
It is not working with Wildfly-10.1.0.Final


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo